Package org.apache.tapestry5.internal.services

# Class ResourceDigestGeneratorImpl

java.lang.Object
org.apache.tapestry5.internal.services.ResourceDigestGeneratorImpl

All Implemented Interfaces:
  `ResourceDigestGenerator`

public class ResourceDigestGeneratorImpl extends Object implements ResourceDigestGenerator
Gutted implementation; will be removed in Tapestry 5.5.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResourceDigestGeneratorImpl()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `generateDigest(URL url)`
  Reads the content of a URL (presumably, for a resource on the classpath) and generates a digest of its content.
  `boolean`
  `requiresDigest(String path)`
  Examines the path (typically, the file name extension at the end of the path) to determine if a checksum is required for the path.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ResourceDigestGeneratorImpl

    public ResourceDigestGeneratorImpl()

- ## Method Details

  - ### generateDigest

    public String generateDigest(URL url)
    Description copied from interface: `ResourceDigestGenerator`
    Reads the content of a URL (presumably, for a resource on the classpath) and generates a digest of its content. This digest will be incorporated into the URL provided to the client, to verify that the client has been "granted" access to this resource. This is only used for resources where `ResourceDigestGenerator.requiresDigest(String)` is true. As of Tapestry 5.4, simply returns null.
    Specified by:
      `generateDigest` in interface `ResourceDigestGenerator`
    Returns:
      the digest for the resource

  - ### requiresDigest

    public boolean requiresDigest(String path)
    Description copied from interface: `ResourceDigestGenerator`
    Examines the path (typically, the file name extension at the end of the path) to determine if a checksum is required for the path. The path is `Resource` style, without a leading slash. As of Tapestry 5.4, simply returns false.
    Specified by:
      `requiresDigest` in interface `ResourceDigestGenerator`